Date: Mon, 10 Nov 1997 10:49:10 GMT
From: Roman Hodek <rnhodek@faui22c.informatik.uni-erlangen.de>
To: linux-m68k@lists.linux-m68k.org
In-Reply-To: <Pine.LNX.3.96.971108074107.4630A-100000@amiga1.fred.org>
	(message from Fred Heitkamp on Sat, 8 Nov 1997 07:42:52 -0500 (EST))
Subject: Re: L68K: Compiling 2.1.61
Sender: owner-linux-m68k@phil.uni-sb.de


> I've been trying to compiling 2.1.61 and have run across the
> following problem. Has anyone else?

I've compiled 2.1.61 with kgdb support without any problems a few days
ago.

But wait... :-) Line 1212 is in Amiga-only code, and I obviously don't
compile this. Seems your the first one that tries to compile kgdb on
an Amiga... The patch below fixes the most blatant mistakes :-))

But note that the serial stuff is still untested, I've just copied
some code from amiga_ser.c, but I can't test it.

Roman

------------------------------------------------------------------------------

--- linux-2.1.61/arch/m68k/kernel/kgdb.c~	Mon Nov 10 11:45:07 1997
+++ linux-2.1.61/arch/m68k/kernel/kgdb.c	Mon Nov 10 11:47:24 1997
@@ -583,6 +583,7 @@
 	serial_out = NULL;
 	serial_intr = NULL;
 	
+#ifdef CONFIG_ATARI
 	if (MACH_IS_ATARI) {
 		if (!strcmp( m68k_debug_device, "ser" )) {
 			/* defaults to ser2 for a Falcon and ser1 otherwise */
@@ -657,6 +658,7 @@
 						 NULL );
 		}
 	}
+#endif
 	
 #ifdef CONFIG_AMIGA
 	if (MACH_IS_AMIGA) {
@@ -1206,6 +1208,8 @@
 static unsigned char amiga_ser_in( void )
 
 {
+	unsigned char c;
+	
 	/* XXX: is that ok?? derived from amiga_ser.c... */
 	while( !(custom.intreqr & IF_RBF) )
 		barrier();
